Package com.xebialabs.xlrelease.configuration

# Class ReportsSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.ReportsSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Value Stream reports", description="Release will use these settings in the Release Value Stream report.") public class ReportsSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REPORTS_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportsSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCriticalPhaseThreshold()`
  `Integer`
  `getErrorThreshold()`
  `Integer`
  `getWarningThreshold()`
  `void`
  `setCriticalPhaseThreshold(Integer criticalPhaseThreshold)`
  `void`
  `setErrorThreshold(Integer errorThreshold)`
  `void`
  `setWarningThreshold(Integer warningThreshold)`
  `void`
  `validate()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### REPORTS_SETTINGS_ID

    public static final String REPORTS_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportsSettings

    public ReportsSettings()

- ## Method Details

  - ### validate

    public void validate()

  - ### getWarningThreshold

    public Integer getWarningThreshold()

  - ### setWarningThreshold

    public void setWarningThreshold(Integer warningThreshold)

  - ### getErrorThreshold

    public Integer getErrorThreshold()

  - ### setErrorThreshold

    public void setErrorThreshold(Integer errorThreshold)

  - ### getCriticalPhaseThreshold

    public Integer getCriticalPhaseThreshold()

  - ### setCriticalPhaseThreshold

    public void setCriticalPhaseThreshold(Integer criticalPhaseThreshold)